#
# spec file for package dbxtool
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dbxtool
Version:        8
Release:        1.3.1
Summary:        Secure Boot DBX updater
License:        GPL-2.0
URL:            https://github.com/rhboot/dbxtool
BuildRequires:  efivar-devel >= 26-1
BuildRequires:  popt-devel
Requires:       efivar >= 26-1
Source0:        https://github.com/rhboot/dbxtool/releases/download/dbxtool-%version/dbxtool-%version.tar.bz2
Patch0:         dbxtool-fixes.patch
%systemd_requires

%description
This package contains DBX updates for UEFI Secure Boot.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="%optflags"

%install
%make_install 

rm %buildroot/usr/share/doc/dbxtool/COPYING

%pre
%service_add_pre dbxtool.service

%post
%service_add_post dbxtool.service

%preun
%service_del_preun dbxtool.service

%postun
%service_del_postun dbxtool.service

%files
%license COPYING
%{_bindir}/dbxtool
%doc %{_mandir}/man1/*
%dir %{_datadir}/dbxtool/
%{_datadir}/dbxtool/*.bin
%{_unitdir}/dbxtool.service

%changelog
* Wed Oct 14 2020 meissner@suse.com
- adjustment for SLE build, include in SLE11, SLE12 and SLE15
  jsc#ECO-2560 jsc#PM-2042 jsc#SLE-16062
* Tue Sep 22 2020 meissner@suse.com
- dbxtool-fixes.patch: bigger hammer for integer size mismatch to
  fix build on more architectures.
* Sun Aug 16 2020 dmueller@suse.com
- update to 8:
  * Make a "make coverity" rule to scan the source
  * Don't try to apply anything if PK and KEK aren't enrolled
  * Add --force and --quiet for the PK/KEK checker, and use them in the
  systemd service.
  * Add a .syntastic_c_config for vim's Syntastic modules
  * Use tsearch()/tfind()/tdestroy() from libc instead of ccan htables
  * Don't open the dbx file with O_RDWR|O_CREAT, use O_RDONLY.
  * Lots of minor bug fixes gcc -Wextra and friends found.
* Fri May  8 2020 meissner@suse.com
- import dbxtool, for handling and storing the UEFI DBX database.
